# Exports

{% hint style="danger" %}
All drugs used for server exports needs to be previously registered in **server/editable/\_drugs.lua > Config.Drugs** **table**, otherwise you won't be able to see them in the APP.
{% endhint %}

{% tabs %}
{% tab title="Client" %}

## **getLab()**

> If player is inside a lab it will return the lab identifier or false if is outside.

```lua
local lab = exports['av_drugs']:getLab()
if lab then
    print(lab)
else
    print("Player isn't inside a lab")
end
```

{% endtab %}

{% tab title="Server" %}

## getStrain

> returns strain name or false if not found.
>
> **params:**&#x20;
>
> * **playerId** `number`

```lua
local strain = exports['av_drugs']:getStrain(playerId)
if strain then print(strain) end
```

## getDrug

> returns a specific drug info.
>
> if no drug name is specified it will return all drugs table or false if nothing found.
>
> **params:**
>
> * **playerId** `number`
> * **drug** `string or false (optional)`

```lua
local drugInfo = exports['av_drugs']:getDrug(playerId, drug)
if drugInfo then
    print(json.encode(drugInfo, {indent = true}))
    --[[
    example without defining drug name:
    {
        "drug1": {
            "income": 0,
            "sold": 0,
            "label": "Drug Label",
            "name": "drug1",
            "xp": 0
        },
        "drug2": {
            "xp": 0,
            "label": "Drug Label",
            "name": "drug2"
        }
    }
]]--
end
```

## addZoneRep

> Adds reputation for a specific strain and drug in a zone, all param values are needed or it will return false, returns true if rep was added.
>
> **params:**
>
> * **zone** `string`
> * **strain** `string`
> * **drug** `string`
> * **bags** `number`
>
> Zone names can be found here: <https://docs.fivem.net/natives/?_0x98CD1D2934B76CC1>

```lua
local zone = "DTVINE"
local strain = "AV Scripts"
local drug = "drug1"
local bags = 5
local added = exports['av_drugs']:addZoneRep(zone,strain,drug,bags)
if added then print("Bags added for strain") end
```

## addXP

> Add drug XP to a specific player, returns true if added
>
> *If the drug doesn't exist in the Player table it will add it, if is a custom drug from your own script make sure to register it first in Config.Drugs.*
>
> **params:**
>
> * **playerId** `number`
> * **drugName** `string`
> * **xp** `number`

```lua
local added = exports['av_drugs']:addXP(playerId,drugName,xp)
if added then print("Drug XP was added to player") end
```

## removeXP

> Remove drug XP from a specific player, returns true if removed.
>
> **params:**
>
> * playerId number
> * drugName string
> * xp number

```lua
local removed = exports['av_drugs']:removeXP(playerId,drugName,xp)
if removed then print("Removed XP from player") end
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.av-scripts.com/laptop-pack-v3/drugs/exports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
